<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                version="1.0">
<xsl:output method="xml" encoding="UTF-8" indent="yes" /> 
  <!-- This stylesheet transforms a text as output by FieldWorks into a form which can be handled by Flex2EAF.  -->
  <!-- edited by Tom Myers from an xml2Verifiable.xsl by John Thomson -->
  <!-- All we really need to do is put all "item" children before all non-"item" children" -->

<xsl:template match="document">
  <document xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:noNamespaceSchemaLocation="file:FlexInterlinear.xsd">
    <xsl:apply-templates/>
  </document>
</xsl:template>

 <xsl:template match="*">
  <xsl:copy>
    <xsl:apply-templates select="@*|text()"/>
    <xsl:apply-templates select="item"/>
    <xsl:apply-templates select="*[not(self::item)]"/>
  </xsl:copy>
 </xsl:template>

<xsl:template match="@*|text()|comment()|processing-instruction()">
  <xsl:copy>
    <xsl:apply-templates select="@*|text()|comment()|processing-instruction()" />
  </xsl:copy>
</xsl:template>

</xsl:stylesheet>
